Bug 761306 - orca refuses to start after an upgrade to F16
Summary: orca refuses to start after an upgrade to F16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orca
Version: 16
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-08 01:42 UTC by Michal Jaegermann
Modified: 2013-03-06 04:08 UTC (History)
3 users (show)

Fixed In Version: cogl-1.10.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-22 04:17:23 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2011-12-08 01:42:00 UTC
Description of problem:

On a system upgraded from Fedora 15 to 16 attempts to run orca end up with:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/orca/orca.py", line 65, in <module>
    import settings
  File "/usr/lib64/python2.7/site-packages/orca/settings.py", line 665, in <module>
    from xdg.BaseDirectory import xdg_data_home


Version-Release number of selected component (if applicable):
orca-3.2.1-2.fc16.x86_64

How reproducible:
always

Additional info:
All packages are updated, not only what anaconda is willing to replace, and 'package-cleanup --problems' does not show any problems.  Unfortunately
'yum provides xdg.BaseDirectory' prints "No Matches found".  Now what?

Comment 1 Kalev Lember 2012-04-17 15:47:22 UTC
Thanks, I added Requires: pyxdg to orca-3.4.1-2.fc17 build in F17.

Comment 2 Fedora Update System 2012-04-18 15:19:44 UTC
aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17

Comment 3 Fedora Update System 2012-04-18 22:12:42 UTC
Package aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-04-20 06:04:27 UTC
Package cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cogl-1.10.2-1.fc17 epiphany-3.4.1-1.fc17 gobject-introspection-1.32.1-1.fc17 aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/epiphany-3.4.1-1.fc17,gobject-introspection-1.32.1-1.fc17,cogl-1.10.2-1.fc17,aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-04-22 04:17:23 UTC
cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.